<body>
  <input type="number" id="a" />
  <input type="number" id="b" />
  <button onClick="onSum()">sum</button>
  <p id="result"></p>
</body>
<script>
  function onSum() {
    let NumA = document.getElementById("a").value;
    let NumB = document.getElementById("b").value;
    let sum = Number(NumA) + Number(NumB);
    document.getElementById("result").innerText = "sum : " + sum;
  }
</script>
